net.sourceforge.pmd.cpd

## Class AbstractLanguage

- java.lang.Object
- - net.sourceforge.pmd.cpd.AbstractLanguage

- All Implemented Interfaces:
    Language
  Direct Known Subclasses:
    AnyLanguage, CPPLanguage, CsLanguage, EcmascriptLanguage, FortranLanguage, JavaLanguage, JSPLanguage, PHPLanguage, RubyLanguage

      public abstract class AbstractLanguage
      extends Object
      implements Language

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractLanguage(Tokenizer tokenizer, String... extensions)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `FilenameFilter` | `getFileFilter()`
    `Tokenizer` | `getTokenizer()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractLanguage

          public AbstractLanguage(Tokenizer tokenizer,
                          String... extensions)

  - ### Method Detail

    - #### getFileFilter

          public FilenameFilter getFileFilter()

      Specified by:
        `getFileFilter` in interface `Language`

    - #### getTokenizer

          public Tokenizer getTokenizer()

      Specified by:
        `getTokenizer` in interface `Language`

Copyright © 2002-2013 InfoEther. All Rights Reserved.